org.apache.poi.ss.extractor

## Class EmbeddedData

- java.lang.Object
- - org.apache.poi.ss.extractor.EmbeddedData

-     public class EmbeddedData
      extends java.lang.Object

  A collection of embedded object informations and content

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmbeddedData(java.lang.String filename, byte[] embeddedData, java.lang.String contentType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContentType()`
    `byte[]` | `getEmbeddedData()`
    `java.lang.String` | `getFilename()`
    `Shape` | `getShape()`
    `void` | `setContentType(java.lang.String contentType)` Sets the content-/mime-type
    `void` | `setEmbeddedData(byte[] embeddedData)` Sets the embedded object as byte array
    `void` | `setFilename(java.lang.String filename)` Sets the filename
    `void` | `setShape(Shape shape)` Sets the shape which links to the embedded object

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmbeddedData

          public EmbeddedData(java.lang.String filename,
                              byte[] embeddedData,
                              java.lang.String contentType)

  - ### Method Detail

    - #### getFilename

          public java.lang.String getFilename()

      Returns:
        the filename

    - #### setFilename

          public void setFilename(java.lang.String filename)

      Sets the filename
      Parameters:
        `filename` - the filename

    - #### getEmbeddedData

          public byte[] getEmbeddedData()

      Returns:
        the embedded object byte array

    - #### setEmbeddedData

          public void setEmbeddedData(byte[] embeddedData)

      Sets the embedded object as byte array
      Parameters:
        `embeddedData` - the embedded object byte array

    - #### getShape

          public Shape getShape()

      Returns:
        the shape which links to the embedded object

    - #### setShape

          public void setShape(Shape shape)

      Sets the shape which links to the embedded object
      Parameters:
        `shape` - the shape

    - #### getContentType

          public java.lang.String getContentType()

      Returns:
        the content-/mime-type of the embedded object, the default (if unknown) is `binary/octet-stream`

    - #### setContentType

          public void setContentType(java.lang.String contentType)

      Sets the content-/mime-type
      Parameters:
        `contentType` - the content-type

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.